> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypedexer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Daily vault equity snapshots (TVL, PnL)

> Daily vault equity: TVL, account value, notional exposure and PnL.



## OpenAPI

````yaml /api-reference/openapi.json get /vaults/dailySnapshots
openapi: 3.0.3
info:
  title: 'Hypedexer API: Indexed Data'
  version: 1.0.0
  description: >-
    API to query indexed Hyperliquid trading data.


    This API provides access to stored/indexed trading data:

    - **Fills**: Executed orders and fills (Spot-only or All = Spot + Perp)

    - **Analytics**: Aggregations and statistics based on indexed data

    - **Completed Trades**: Trade objects and their related fills

    - **Users**: User overviews, performance and activity

    - **Social Trading**: Per-trader equity curve, PnL calendar, account
    leverage and top trades

    - **Funding**: Funding rate history, user funding payments, predicted rates

    - **Liquidations**: Liquidation events with filters

    - **Overview**: Market dashboard metrics (volume, fees, traders, PnL)

    - **Spot**: Spot token metadata, pairs, and auctions

    - **TWAPs**: TWAP orders, execution stats and fills

    - **Vaults**: Vault details, summaries, equity, ledger


    > Note: No live streaming. Responses are computed from indexed data.
servers:
  - url: https://api.hypedexer.com
    description: Production, routed to the nearest region (EU or JP)
security:
  - ApiKeyAuth: []
tags:
  - name: Fills
    description: Fills endpoints.
  - name: Analytics
    description: Aggregations and stats.
  - name: Completed Trades
    description: Trades and fills.
  - name: Users
    description: User profiles.
  - name: Funding
    description: Funding rates and payments (HL-compatible).
  - name: Liquidations
    description: Liquidation events.
  - name: Overview
    description: Market dashboard metrics.
  - name: Spot
    description: Spot token metadata, pairs and auctions.
  - name: TWAPs
    description: TWAP orders, stats and fills.
  - name: Vaults
    description: Vault details, summaries, equity and ledger.
  - name: Social Trading
    description: >-
      Per-trader equity, PnL calendar, performance, account leverage and top
      trades.
paths:
  /vaults/dailySnapshots:
    get:
      tags:
        - Vaults
      summary: Daily vault equity snapshots (TVL, PnL)
      description: 'Daily vault equity: TVL, account value, notional exposure and PnL.'
      parameters:
        - name: vaultAddress
          in: query
          required: true
          schema:
            type: string
            description: Vault address (0x…)
            title: Vaultaddress
          description: Vault address (0x…)
        - name: startTime
          in: query
          required: false
          schema:
            description: Epoch milliseconds
            title: Starttime
            type: integer
            nullable: true
          description: Epoch milliseconds
        - name: endTime
          in: query
          required: false
          schema:
            description: Epoch milliseconds
            title: Endtime
            type: integer
            nullable: true
          description: Epoch milliseconds
        - name: limit
          in: query
          required: false
          schema:
            default: 500
            title: Limit
            type: integer
            maximum: 5000
            minimum: 1
            nullable: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              example:
                - time: 1789801006084
                  day: '2026-09-19'
                  totalDeposits: 49837463.237452
                  accountValue: 48617690.985079
                  totalNotional: 0
                  totalRawPnl: -1219772.252373
                  nPositions: 0
                  followerCount: 93441
                - time: 1789775330696
                  day: '2026-09-18'
                  totalDeposits: 49873569.136597
                  accountValue: 48649310.096927
                  totalNotional: 0
                  totalRawPnl: -1224259.03967
                  nPositions: 0
                  followerCount: 93437
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        Your Hypedexer API key. Create one in the console at
        https://app.hypedexer.com. `Authorization: Bearer <key>` and the
        `api_key` query parameter are accepted as well.

````